epp_Response (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.epp_Response class

### org.openrtk.idl.epp02

# Class epp_Response

- `java.lang.Object`
- - `org.openrtk.idl.epp02.epp_Response`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_Response`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/epp_Response.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp.idl Thursday, July 26, 2001 6:26:04 PM EDT

  ## Field Summary
  `int` | `m_qcount`
  `epp_Result[]` | `m_results`
  `epp_TransID` | `m_trans_id`
  `String` | `m_unspec_string`

  ## Constructor Summary
  `epp_Response()`
  `epp_Response(epp_Result[] _m_results, int _m_qcount, String _m_unspec_string, epp_TransID _m_trans_id)`

  ## Method Summary
  `int` | `getQcount()`
  `epp_Result[]` | `getResults()`
  `epp_TransID` | `getTransId()`
  `String` | `getUnspecString()`
  `void` | `setQcount(int value)`
  `void` | `setResults(epp_Result[] value)`
  `void` | `setTransId(epp_TransID value)`
  `void` | `setUnspecString(String value)`
  `String` | `toString()`

## Field Details

### m_qcount

    public int m_qcount

### m_results

    public epp_Result[] m_results

### m_trans_id

    public epp_TransID m_trans_id

### m_unspec_string

    public String m_unspec_string

## Constructor Details

### epp_Response

    public epp_Response()

### epp_Response

    public epp_Response(epp_Result[] _m_results,
                        int _m_qcount,
                        String _m_unspec_string,
                        epp_TransID _m_trans_id)

## Method Details

### getQcount

    public int getQcount()

### getResults

    public epp_Result[] getResults()

### getTransId

    public epp_TransID getTransId()

### getUnspecString

    public String getUnspecString()

### setQcount

    public void setQcount(int value)

### setResults

    public void setResults(epp_Result[] value)

### setTransId

    public void setTransId(epp_TransID value)

### setUnspecString

    public void setUnspecString(String value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS